; errr
; $Id: error.scm,v 1.9 2006/03/23 14:10:27 inger Exp $
(document:surround "/std/base")
(document:insert "/std/functions")

(document:envelop with-translation _ "alterator-packages")

width 400
height 300
title (_ "Error during package installation")

margin 10
spacing 10

children-align center

(label (bold (_"Error during package installation")))

(listbox
 layout-policy 100 -2
 (rows
  (filter-map (lambda(e)
                (let ((class (car e))
                      (message (cdr e)))
                  (cond
                   ((string=? class "update")
                    (string-append (_ "Unable to get") " : " message))
                   ((string=? class "download")
                    (string-append (_ "Unable to download") " : " message))
                   ((string=? (car e) "install")
                    (string-append (_ "Unable to install") " : " message))
                   ((string=? class "assert")
                    (string-append (_ "Internal error") " : " message))
                   (else #f))))
              (or (global 'error) '()))))

(button (_ "Close")
	(when clicked (document:end #t)))
